package com.xhkjedu.sapi.model.notice;

import com.xhkjedu.sapi.model.BaseBean;
import com.xhkjedu.sapi.model.system.TSchool;
import com.xhkjedu.sapi.vo.gradeclass.ClassVo;
import com.xhkjedu.sapi.vo.notice.NoticeTeacherVo;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Table(name = "t_notice")
@Data
public class TNotice extends BaseBean {
    @Id
    //通知表
    private Integer noticeid;

    //通知标题
    private String noticetitle;

    //通知对象1班级2老师3学校师生4学校教师5学校学生
    private Integer noticetype;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //通知内容
    private String noticecontent;

    @Transient
    //班级id集合
    private List<ClassVo> classes;

    @Transient
    //教师id集合
    private List<NoticeTeacherVo> teachers;

    @Transient
    //开始时间
    private Integer starttime;

    @Transient
    //结束时间
    private Integer stoptime;

    @Transient
    private Integer readed;//是否查看0未查看1已查看

    @Transient
    //学校id集合
    private List<TSchool> schools;
}
