package com.xhkjedu.sapi.vo.analyze;

import lombok.Data;

/**
 * @ClassName SchoolSummaryVo
 * Description TODO 数据汇总
 * Author WN
 * Date 2020/10/13 17:20
 **/
@Data
public class SchoolSummaryVo {
    private Integer userid;//教师id
    private String username;//教师姓名
    private String loginname;//登录名
    private String subjectid;//科目id
    private String subjectname;//科目名称

    //作业统计
    private Integer pfabunum=0;//发布次数
    private Integer pstunum=0;//应提交数量
    private double pcommitrate=0;//提交率
    private Integer pcommitnum=0;//已提交数量
    private double pcheckrate=0;//批改率
    private Integer pchecknum=0;//批改数量
    private Integer pquestionnum=0;//平均题量

    //资源统计
    private Integer zytotal=0;//资源总数量
    private Integer zyxtnum=0;//习题数量
    private Integer zyjanum=0;//教案数量
    private Integer zykjnum=0;//课件数量
    private Integer zyscnum=0;//素材数量
    private Integer zyspnum=0;//视频数量
    private Integer zyxanum=0;//学案数量
    private Integer zyywbnum=0;//压缩包数量
    private Integer zyqtnum=0;//其他数量

    //课堂统计
    private Integer kttotal=0;//课堂总使用次数
    private Integer kttimes=0;//课堂总时长
    private Integer ktavttime=0;//课堂平均时长
    private double ktsignrate=0;//课堂平均出勤率
    private Integer ktquestionnum=0;//提问次数
    private Integer ktexamnum=0;//考试次数
    private Integer ktasknum=0;//抢答次数
    private Integer ktcallnum=0;//点名次数
    private Integer ktpicnum=0;//截图数量

    //预习统计
    private Integer yxfbnum=0;//预习发布次数
    private Integer yxstunum=0;//应预习数量
    private Integer yxcomitnum=0;//已预习数量
    private double yxrate=0;//预习率

    //背诵统计
    private Integer bsfbnum=0;//背诵发布数量
    private Integer bsstunum=0;//应背诵数量
    private Integer bscomitnum=0;//已背诵数量
    private double bsrate=0;//背诵率

    //错题辅导统计
    private Integer ctfdnum=0;//错题辅导数量
    private Integer ctfdpjtime=0;//错题辅导平均时长

}
