package com.xhkjedu.slive.mapper.gradeclass;

import com.xhkjedu.slive.base.TkMapper;
import com.xhkjedu.slive.model.gradeclass.TClassStudent;
import org.apache.ibatis.annotations.Param;

public interface ClassStudentMapper extends TkMapper<TClassStudent> {
    //删除班级、分组对应学生
    void deleteById(@Param("classid") Integer classid,@Param("studentid") Integer studentid);

    /**
     * 获取班级学生id
     * @Param [classid, studentid]
     * @Author ywx
     * @Date 2022/2/24 9:09
     * @return java.lang.Integer
     **/
    Integer getByClassIdStudentId(@Param("classid") Integer classid,@Param("studentid") Integer studentid);

    //添加
    void save(@Param("student") TClassStudent student);

    //保存班级学生到指定班级
    void saveAllClassStu(@Param("student") TClassStudent student,@Param("zbclassid") Integer zbclassid);
}
