package com.xhkjedu.slive.mapper.xz;

import com.xhkjedu.slive.base.TkMapper;
import com.xhkjedu.slive.model.xz.LXzKj;
import com.xhkjedu.slive.vo.xz.XzDateKjVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Description 直播课节详情
 * @Author wn
 * @Date 2022/3/30 12:06
 */
@Repository
public interface XzKjMapper extends TkMapper<LXzKj> {

    //获取行政直播课节详情
    List<XzDateKjVo> listXzKjsByXzid(@Param("xzid") Integer xzid);

    //修改行政直播课节详情
    void updateXzkj(@Param("kj") LXzKj kj);

    //批量修改行政直播课节详情
    void updateBatchXzKj(@Param("list") List<LXzKj> list);
}
