package com.xhkjedu.sstudy.model.paperstudent;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_paper_student_scantron")
@Data
public class TPaperStudentScantron extends BaseBean {
    //作业学生答题卡表
    @Id
    private Integer pssid;

    //作业id
    private Integer paperid;

    //班级id
    private Integer classid;

    //班级分组id
    //private Integer groupid;

    //学生id
    private Integer studentid;

    //作业答题卡id
    private Integer pscaid;

    //作业学生id
    private Integer psid;

    //排序
    private Integer qorder;

    //是否作答0未作答1已作答
    private Integer answered;

    //提交时间
    private Integer answertime;

    //花费时间（秒）
    private Integer costtime;

    //是否批改0默认未批改1已批改2批改中
    private Integer checked;

    //学生得分
    private Double stuscore;

    //试题分值
    private Double qscore;

    //批改人id
    private Integer checkid;

    //批改时间
    private Integer checktime;

    //批语
    private String checkcomm;

    //学校id
    private Integer schoolid;

    //学生答案
    private String useranswer;

    //学生答案富文本
    private String useranswertext;

    //答案纯文本
    private String useranswertxt;

    //设备1选择、图片(useranswer) 2富文本(useranswertext)3纯文本(useranswertxt)
    private Integer device;

    @Transient
    //试题题型id
    private String qtypeid;
}
