package com.xhkjedu.sstudy.vo.paper;

import com.xhkjedu.sstudy.model.paper.TPaperFile;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName PaperScantronVo
 * Description 答题卡作业
 * Author WN
 * Date 2020/6/11 11:25
 **/
@Data
public class PaperScantronVo {
    //作业id
    private Integer paperid;

    //作业名称
    private String papername;

    //作业类型1结构性试题2自定义答题卡
    private Integer papertype;

    //作业说明
    private String comm;

    //试题数量
    private Integer papernum;

    //作业总分
    private Double paperscore;

    //上传时间
    private Integer createtime;

    //创建人姓名
    private String createname;

    List<TPaperFile> pfiles = new ArrayList<>();//作业附件

    List<PaperScantronQtypeVo> qtypes = new ArrayList<>();//题型

    //作业分类1课前2课后
    private Integer paperclass;

    //章节id
    private String directorid;

    //章节名称
    private String directorname;

    //答案显示方式：1作业截至时间，2提交后显示
    private Integer showtype;

}
