package com.xhkjedu.sstudy.vo.paper;

import com.xhkjedu.sstudy.model.paper.TPaperFile;
import lombok.Data;

import java.util.List;

@Data
public class QuestionAnalyzeVo {
    //题型名称
    private String qtypename;

    //试题分值
    private Double score;

    //试题题干
    private String qstem;

    //试题选项
    private String qoption;

    //试题答案
    private String qanswer;

    //试题分析
    private String qanalyze;

    //处理题型1单选题2多选题3主观题4判断对错5判断✔6判断TF7完形填空8阅读理解
    private Integer ctype;

    //已提交学生列表
    private List<AnalyzeStudentVo> students;

    //答题卡附件列表
    private List<TPaperFile> files;
}
