package com.xhkjedu.sstudy.vo.paperstudent;

import com.xhkjedu.sstudy.model.paperstudent.TPaperGroup;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName PaperGroupParam
 * Description 作业班级参数
 * Author WN
 * Date 2020/6/9 14:35
 **/
@Data
public class PaperGroupParam {
    //作业id
    private Integer paperid;

    //作业开始时间
    private Integer starttime;

    //作业截至时间
    private Integer stoptime;

    //答案显示方式：1作业截至时间，2提交后显示
    private Integer showtype;

    //创建人id
    private Integer createid;

    //学校id
    private Integer schoolid;

    //布置作业对象
    private List<TPaperGroup> classlst = new ArrayList<>();
}
