package com.xhkjedu.sapi.mapper.analyze;

import com.xhkjedu.sapi.vo.analyze.*;
import com.xhkjedu.sapi.vo.region.RRoomVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName SchoolSummaryMapper
 * Description TODO 数据汇总
 * Author WN
 * Date 2020/10/14 14:34
 **/
@Repository
public interface SchoolSummaryMapper {
    //获取用户集合
    List<SchoolSummaryVo> listUser(@Param("sparams") SchoolParams sparams);

    //获取教师作业统计
    SchoolSummaryVo getPaperAnalyze(@Param("sparams") SchoolParams sparams);

    //获取教师资源统计
    SchoolSummaryVo getResourceAnalyze(@Param("sparams") SchoolParams sparams);

    //获取教师课堂统计
    SchoolSummaryVo getRoomAnalyze(@Param("sparams") SchoolParams sparams);
    RRoomVo getRoom(@Param("sparams") SchoolParams sparams);

    //获取教师预习统计
    SchoolSummaryVo getPreviewAnalyze(@Param("sparams") SchoolParams sparams);

    //获取教师背诵统计
    SchoolSummaryVo getReciteAnalyze(@Param("sparams") SchoolParams sparams);

    //错题辅导统计
    SchoolSummaryVo getErrorQuestionFdAnalyze(@Param("sparams") SchoolParams sparams);
}
