package com.xhkjedu.sapi.model.classreport;

import com.xhkjedu.sapi.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_report_classtype")
@Data
public class TReportClasstype extends BaseBean {
    @Id
    //分析--班级报告类型
    private Integer creportid;

    //班级id
    private Integer classid;

    //年级id
    private Integer gradeid;

    //科目id
    private String subjectid;

    //报告类型1周报2月报
    private Integer reporttype;

    //开始时间
    private String begindate;

    //结束时间
    private String enddate;

    //创建时间
    private Integer createtime;

    //当前学年
    private Integer year;

    //所属学校
    private Integer schoolid;

    @Transient
    //基数
    private Integer basenum;
}
