package com.xhkjedu.sstudy.mapper.gradeclass;

import com.xhkjedu.sstudy.base.TkMapper;
import com.xhkjedu.sstudy.model.gradeclass.TClass;
import com.xhkjedu.sstudy.vo.paper.AStudentPaperVo;
import com.xhkjedu.sstudy.vo.paper.AnalyzeSearchVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface ClassMapper extends TkMapper<TClass> {
    //班级学生--学生所在行政班
    Map getClassByStuId(@Param("studentid") Integer studentid);

    //班级学生--作业/预习统计--学生列表
    List<AStudentPaperVo> listStu(@Param("paper") AnalyzeSearchVo paper);

    //班级教师--获取教师任教行政和提高班id
    String getClassIds(Integer teacherid);

    //班级分组--分组下学生
    List<Integer> listStudentidsByGroupids(@Param("groupids") String groupids);

}
