package com.xhkjedu.sstudy.mapper.recite;

import com.xhkjedu.sstudy.base.TkMapper;
import com.xhkjedu.sstudy.model.recite.TRecite;
import com.xhkjedu.sstudy.vo.recite.ReciteVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName ReciteMapper
 * Description 背诵
 * Author WN
 * Date 2020/6/10 9:22
 **/
@Repository
public interface ReciteMapper extends TkMapper<TRecite> {
    /**
     *功能描述 修改
     * @author WN
     * @date 2020/6/10
     * @param  * @param recite
     * @return java.lang.Integer
     */
    Integer updateRecite(@Param("recite") TRecite recite);

    /**
     *功能描述 列表--网页
     * @author WN
     * @date 2020/6/10
     * @param  * @param recite
     * @return java.util.List<com.xhkjedu.vo.recite.ReciteVo>
     */
    List<ReciteVo> listRecites(@Param("recite") TRecite recite);
}
