package com.xhkjedu.sstudy.model.paperstudent;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_paper_group")
@Data
public class TPaperGroup extends BaseBean {
    //作业班级表
    @Id
    private Integer pgid;

    //作业id
    private Integer paperid;

    //班级id
    private Integer classid;

    //班级分组id
   // private Integer groupid;

    //状态21未布置22已布置
    private Integer pgstate;

    //作业开始时间
    private Integer starttime;

    //作业截至时间
    private Integer stoptime;

    //答案显示方式：1作业截至时间，2提交后显示
    private Integer showtype;

    //批改人
    private Integer checkid;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //作业是否完成批阅0未完成1已完成
    private Integer checked;

    @Transient
    //批改方式1教师批改2学生互改3指定学生批改4自动批改
    private Integer checktype;

    @Transient
    //作业类型1题库2答题卡3课堂考试
    private Integer papertype;

    //班级下分组
    @Transient
    private List<Integer> groups = new ArrayList<>();
}
