package com.xhkjedu.sstudy.vo.paper;

import com.xhkjedu.sstudy.vo.gradeclass.ClassVo;
import lombok.Data;

import java.util.List;

@Data
public class PaperAnalyzeVo {
    //作业名称
    private String papername;

    //作业类型1结构性试题2自定义答题卡
    private Integer papertype;

    //试题数量
    private Integer papernum;

    //作业总分
    private Double paperscore;

    //发布数量
    private Integer fbnum;

    //未提交作业人数
    private Integer wtjnum;

    //已提交作业人数
    private Integer ytjnum;

    //平均得分
    private Double avgscore;

    //最高得分
    private Double maxscore;

    //最低得分
    private Double minscore;

    //学生总得分
    private Double stuscore;

    //提交率
    private double commitrate;

    //批改率
    private double checkrate;

    //得分率
    private double scorerate;

    //作业截至时间
    private Integer stoptime;

    //批改方式1教师批改2学生互改3指定学生批改4自动批改
    private Integer checktype;

    //已提交学生列表
    private List<AnalyzeStudentVo> students;

    //未提交班级学生列表
    private List<ClassVo> classes;

    //试题列表
    private List<AnalyzeQuestionVo> questions;
}
